Bulletin d'alerte Debian

DSA-4663-1 python-reportlab -- Mise à jour de sécurité

Date du rapport :
25 avril 2020
Paquets concernés :
python-reportlab
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 942763.
Dans le dictionnaire CVE du Mitre : CVE-2019-17626.
Plus de précisions :

python-reportlab, une bibliothèque Python pour créer des documents PDF, est prédisposée à une vulnérabilité d'injection de code lors de l'analyse d'un attribut « color ». Un attaquant peut tirer avantage de ce défaut pour exécuter du code arbitraire lors du traitement d'un document contrefait pour l'occasion.

Pour la distribution oldstable (Stretch), ce problème a été corrigé dans la version 3.3.0-2+deb9u1.

Pour la distribution stable (Buster), ce problème a été corrigé dans la version 3.5.13-1+deb10u1.

Nous vous recommandons de mettre à jour vos paquets python-reportlab.

Pour disposer d'un état détaillé sur la sécurité de python-reportlab, veuillez consulter sa page de suivi de sécurité à l'adresse : https://security-tracker.debian.org/tracker/python-reportlab.